Bug 13132 - The KDC on an RWDC doesn't send error replies in some situations
The KDC on an RWDC doesn't send error replies in some situations
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.7.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-14 15:04 UTC by Stefan Metzmacher
Modified: 2017-12-23 20:12 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-7-test (3.19 KB, patch)
2017-12-13 12:32 UTC, Stefan Metzmacher
asn: review+
Details
Patch for v4-6-test (3.19 KB, patch)
2017-12-13 12:32 UTC, Stefan Metzmacher
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-11-14 15:04:28 UTC
Most of the KDC internal error get mapped to SDB_ERR_NOT_FOUND_HERE,
which is supposed to mean "pass this to an RWDC". That makes only sense
on an RODC. But it also happens on an RWDC and the high level sanity check
detects the bug and discards the response to the client.
Comment 1 Stefan Metzmacher 2017-12-13 12:32:15 UTC
Created attachment 13861 [details]
Patch for v4-7-test
Comment 2 Stefan Metzmacher 2017-12-13 12:32:40 UTC
Created attachment 13862 [details]
Patch for v4-6-test
Comment 3 Karolin Seeger 2017-12-22 17:02:24 UTC
(In reply to Stefan Metzmacher from comment #1)
Pushed to v4-7-test.
Comment 4 Karolin Seeger 2017-12-22 17:02:43 UTC
(In reply to Stefan Metzmacher from comment #2)
Pushed to autobuild-v4-6-test.
Comment 5 Karolin Seeger 2017-12-23 20:12:16 UTC
Pushed to both clients.
Closing out bug report.

Thanks!